package com.gyee.frame.controller;

import com.gyee.frame.common.base.BaseController;
import com.gyee.frame.common.conf.V2Config;
import com.gyee.frame.model.custom.TitleVo;
import io.swagger.annotations.ApiOperation;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 如果有前台这儿写前台访问方法
 * @ClassName: IndexController
 * @author gyee
 * @date 2019-10-21 00:15
 */
@Controller
public class IndexController extends BaseController{
	
	/**
	 * 前台访问 域名:端口 例如:localhost:80的get请求
	 * @param map
	 * @return
	 * @author gyee
	 * @Date 2019年11月20日 下午10:55:13
	 */
	@ApiOperation(value="前台",notes="前台")
	@GetMapping("/")
	public String index(ModelMap modelMap) {
		String str="前台";
		setTitle(modelMap, new TitleVo("列表", str+"管理", true,"欢迎进入"+str+"页面", true, false));
		Subject currentUser = SecurityUtils.getSubject();


		try {
			if ((null != SecurityUtils.getSubject() && SecurityUtils.getSubject().isAuthenticated())
					|| SecurityUtils.getSubject().isRemembered()) {
				return "redirect:/admin/index";
			} else {
				System.out.println("--进行登录验证..验证开始");

				modelMap.put("RollVerification", V2Config.getRollVerification());
				System.out.println("V2Config.getRollVerification()>>>" + V2Config.getRollVerification());
				return "login";
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return "login";
	}
	/**
	 * 前台访问/index的get请求
	 * @param map
	 * @return
	 * @author gyee
	 * @Date 2019年11月20日 下午10:54:56
	 */
	@ApiOperation(value="前台",notes="前台")
	@GetMapping("/index")
	public String index2(ModelMap map) {
		String str="前台";
		setTitle(map, new TitleVo("列表", str+"管理", true,"欢迎进入"+str+"页面", true, false));
		return "index";
	}
}
